org.jboss.resteasy.skeleton.key.as7

## Class UserSessionManagement

- java.lang.Object
- - org.jboss.resteasy.skeleton.key.as7.UserSessionManagement

- All Implemented Interfaces:
    org.apache.catalina.SessionListener

      public class UserSessionManagement
      extends Object
      implements org.apache.catalina.SessionListener

  Manages relationship to users and sessions so that forced admin logout can be implemented
  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ConcurrentHashMap<String,Map<String,org.apache.catalina.Session>>` | `userSessionMap`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserSessionManagement()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `login(org.apache.catalina.Session session, String username)`
    `void` | `logout(String user)`
    `void` | `logoutAll()`
    `void` | `logoutAllBut(String but)`
    `void` | `sessionEvent(org.apache.catalina.SessionEvent event)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### userSessionMap

          protected ConcurrentHashMap<String,Map<String,org.apache.catalina.Session>> userSessionMap

  - ### Constructor Detail

    - #### UserSessionManagement

          public UserSessionManagement()

  - ### Method Detail

    - #### login

          protected void login(org.apache.catalina.Session session,
                   String username)

    - #### logoutAll

          public void logoutAll()

    - #### logoutAllBut

          public void logoutAllBut(String but)

    - #### logout

          public void logout(String user)

    - #### sessionEvent

          public void sessionEvent(org.apache.catalina.SessionEvent event)

      Specified by:
        `sessionEvent` in interface `org.apache.catalina.SessionListener`

Copyright © 2014. All Rights Reserved.